﻿/*
 * Created by SharpDevelop.
 * User: MICOSUSA
 * Date: 8/13/2010
 * Time: 8:39 AM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Windows.Forms;

namespace MMC_100_testing
{
	/// <summary>
	/// Class with program entry point.
	/// </summary>
	internal sealed class Program
	{
		/// <summary>
		/// Program entry point.
		/// </summary>
		[STAThread]
		private static void Main(string[] args)
		{

			Application.SetUnhandledExceptionMode(UnhandledExceptionMode.ThrowException);
		    AppDomain.CurrentDomain.UnhandledException += (s, e) =>
		    {
		        Exception excep = e.ExceptionObject as Exception;
				if (excep != null)
		        {
		            string message = "Exception:\n" + excep + "\n\n";
		            string innerexcep = "Inner Exception:\n" + excep.InnerException;
		            MessageBox.Show(message + innerexcep, "Error");
		        }
		    };
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new MainForm());
			Application.Exit();
		}
		
	}
}
